Bug 590810 (CVE-2010-1202) - CVE-2010-1202 Mozilla Crashes with evidence of memory corruption
Summary: CVE-2010-1202 Mozilla Crashes with evidence of memory corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1202
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100622,reported=20100505,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 18:20 UTC by Josh Bressers
Modified: 2019-06-08 12:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 18:43:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0500 normal SHIPPED_LIVE Critical: firefox security, bug fix, and enhancement update 2010-06-22 22:01:29 UTC
Red Hat Product Errata RHSA-2010:0501 normal SHIPPED_LIVE Critical: firefox security, bug fix, and enhancement update 2010-06-25 15:32:29 UTC

Description Josh Bressers 2010-05-10 18:20:56 UTC
Mozilla developers identified and fixed several stability bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these crashes showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of
these could be exploited to run arbitrary code.

Bob Clary, Igor Bukanov, Gary Kwong and Andreas Gal reported crashes in the
JavaScript engine that affected Firefox 3.6 and Firefox 3.5.

Comment 1 Vincent Danen 2010-06-22 20:38:04 UTC
This issue is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-26.html

Comment 2 errata-xmlrpc 2010-06-22 22:01:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0500 https://rhn.redhat.com/errata/RHSA-2010-0500.html

Comment 3 errata-xmlrpc 2010-06-22 22:29:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html

Comment 4 Fedora Update System 2010-06-23 13:17:52 UTC
seamonkey-2.0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/seamonkey-2.0.5-1.fc12

Comment 5 Fedora Update System 2010-06-23 13:23:00 UTC
seamonkey-2.0.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seamonkey-2.0.5-1.fc13

Comment 6 Fedora Update System 2010-06-23 14:19:25 UTC
xulrunner-1.9.2.4-1.fc13,firefox-3.6.4-1.fc13,mozvoikko-1.0-11.fc13,gnome-web-photo-0.9-9.fc13,perl-Gtk2-MozEmbed-0.08-6.fc13.14,gnome-python2-extras-2.25.3-19.fc13,galeon-2.0.7-29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xulrunner-1.9.2.4-1.fc13,firefox-3.6.4-1.fc13,mozvoikko-1.0-11.fc13,gnome-web-photo-0.9-9.fc13,perl-Gtk2-MozEmbed-0.08-6.fc13.14,gnome-python2-extras-2.25.3-19.fc13,galeon-2.0.7-29.fc13

Comment 7 Fedora Update System 2010-06-23 14:36:45 UTC
firefox-3.5.10-1.fc12,xulrunner-1.9.1.10-1.fc12,mozvoikko-1.0-10.fc12,gnome-web-photo-0.9-7.fc12,gnome-python2-extras-2.25.3-18.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.13,galeon-2.0.7-23.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/firefox-3.5.10-1.fc12,xulrunner-1.9.1.10-1.fc12,mozvoikko-1.0-10.fc12,gnome-web-photo-0.9-7.fc12,gnome-python2-extras-2.25.3-18.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.13,galeon-2.0.7-23.fc12

Comment 8 Fedora Update System 2010-06-24 16:22:09 UTC
seamonkey-2.0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-24 16:25:37 UTC
xulrunner-1.9.1.10-1.fc12, mozvoikko-1.0-10.fc12, gnome-web-photo-0.9-7.fc12, gnome-python2-extras-2.25.3-18.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.13, galeon-2.0.7-23.fc12, firefox-3.5.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-06-24 16:30:31 UTC
xulrunner-1.9.2.4-1.fc13, firefox-3.6.4-1.fc13, mozvoikko-1.0-11.fc13, gnome-web-photo-0.9-9.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.14, gnome-python2-extras-2.25.3-19.fc13, galeon-2.0.7-29.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-24 16:33:22 UTC
seamonkey-2.0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2010-06-25 15:32:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html

Comment 13 Fedora Update System 2010-07-23 02:40:03 UTC
thunderbird-3.0.6-1.fc12, sunbird-1.0-0.23.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.